## org.eclipse.emf.compare.diff.metamodel
Interface DiffPackage.Literals

Enclosing interface:
  DiffPackage

    public static interface DiffPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `ABSTRACT_DIFF_EXTENSION` The meta object literal for the '`Abstract Diff Extension`' class
`static org.eclipse.emf.ecore.EReference` `ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS` The meta object literal for the 'Hide Elements' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED` The meta object literal for the 'Is Collapsed' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ATTRIBUTE_CHANGE` The meta object literal for the '`Attribute Change`' class
`static org.eclipse.emf.ecore.EReference` `ATTRIBUTE_CHANGE__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EReference` `ATTRIBUTE_CHANGE__LEFT_ELEMENT` The meta object literal for the 'Left Element' reference feature.
`static org.eclipse.emf.ecore.EReference` `ATTRIBUTE_CHANGE__RIGHT_ELEMENT` The meta object literal for the 'Right Element' reference feature.
`static org.eclipse.emf.ecore.EClass` `ATTRIBUTE_CHANGE_LEFT_TARGET` The meta object literal for the '`Attribute Change Left Target`' class
`static org.eclipse.emf.ecore.EAttribute` `ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET` The meta object literal for the 'Left Target' reference feature.
`static org.eclipse.emf.ecore.EClass` `ATTRIBUTE_CHANGE_RIGHT_TARGET` The meta object literal for the '`Attribute Change Right Target`' class
`static org.eclipse.emf.ecore.EAttribute` `ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET` The meta object literal for the 'Right Target' reference feature.
`static org.eclipse.emf.ecore.EClass` `COMPARISON_RESOURCE_SET_SNAPSHOT` The meta object literal for the '`Comparison Resource Set Snapshot`' class
`static org.eclipse.emf.ecore.EReference` `COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET` The meta object literal for the 'Diff Resource Set' containment reference feature
`static org.eclipse.emf.ecore.EReference` `COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET` The meta object literal for the 'Match Resource Set' containment reference feature
`static org.eclipse.emf.ecore.EClass` `COMPARISON_RESOURCE_SNAPSHOT` The meta object literal for the '`Comparison Resource Snapshot`' class
`static org.eclipse.emf.ecore.EReference` `COMPARISON_RESOURCE_SNAPSHOT__DIFF` The meta object literal for the 'Diff' containment reference feature
`static org.eclipse.emf.ecore.EReference` `COMPARISON_RESOURCE_SNAPSHOT__MATCH` The meta object literal for the 'Match' containment reference feature
`static org.eclipse.emf.ecore.EClass` `COMPARISON_SNAPSHOT` The meta object literal for the '`Comparison Snapshot`' class
`static org.eclipse.emf.ecore.EAttribute` `COMPARISON_SNAPSHOT__DATE` The meta object literal for the 'Date' attribute feature
`static org.eclipse.emf.ecore.EClass` `CONFLICTING_DIFF_ELEMENT` The meta object literal for the '`Conflicting Diff Element`' class
`static org.eclipse.emf.ecore.EReference` `CONFLICTING_DIFF_ELEMENT__LEFT_PARENT` The meta object literal for the 'Left Parent' reference feature.
`static org.eclipse.emf.ecore.EReference` `CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT` The meta object literal for the 'Origin Element' reference feature.
`static org.eclipse.emf.ecore.EReference` `CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT` The meta object literal for the 'Right Parent' reference feature.
`static org.eclipse.emf.ecore.EClass` `DIFF_ELEMENT` The meta object literal for the '`Element`' class
`static org.eclipse.emf.ecore.EAttribute` `DIFF_ELEMENT__CONFLICTING` The meta object literal for the 'Conflicting' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DIFF_ELEMENT__IS_HIDDEN_BY` The meta object literal for the 'Is Hidden By' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `DIFF_ELEMENT__KIND` The meta object literal for the 'Kind' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `DIFF_ELEMENT__REMOTE` The meta object literal for the 'Remote' attribute feature
`static org.eclipse.emf.ecore.EReference` `DIFF_ELEMENT__SUB_DIFF_ELEMENTS` The meta object literal for the 'Sub Diff Elements' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `DIFF_GROUP` The meta object literal for the '`Group`' class
`static org.eclipse.emf.ecore.EReference` `DIFF_GROUP__RIGHT_PARENT` The meta object literal for the 'Right Parent' reference feature
`static org.eclipse.emf.ecore.EAttribute` `DIFF_GROUP__SUBCHANGES` The meta object literal for the 'Subchanges' attribute feature.
`static org.eclipse.emf.ecore.EClass` `DIFF_MODEL` The meta object literal for the '`Model`' class
`static org.eclipse.emf.ecore.EReference` `DIFF_MODEL__ANCESTOR_ROOTS` The meta object literal for the 'Ancestor Roots' reference list feature
`static org.eclipse.emf.ecore.EReference` `DIFF_MODEL__LEFT_ROOTS` The meta object literal for the 'Left Roots' reference list feature
`static org.eclipse.emf.ecore.EReference` `DIFF_MODEL__OWNED_ELEMENTS` The meta object literal for the 'Owned Elements' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `DIFF_MODEL__RIGHT_ROOTS` The meta object literal for the 'Right Roots' reference list feature
`static org.eclipse.emf.ecore.EClass` `DIFF_RESOURCE_SET` The meta object literal for the '`Resource Set`' class
`static org.eclipse.emf.ecore.EReference` `DIFF_RESOURCE_SET__DIFF_MODELS` The meta object literal for the 'Diff Models' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `DIFF_RESOURCE_SET__RESOURCE_DIFFS` The meta object literal for the 'Resource Diffs' containment reference list feature
`static org.eclipse.emf.ecore.EEnum` `DIFFERENCE_KIND` The meta object literal for the '`Difference Kind`' enum
`static org.eclipse.emf.ecore.EDataType` `IMERGER` The meta object literal for the 'IMerger' data type
`static org.eclipse.emf.ecore.EClass` `MODEL_ELEMENT_CHANGE` The meta object literal for the '`Model Element Change`' class
`static org.eclipse.emf.ecore.EClass` `MODEL_ELEMENT_CHANGE_LEFT_TARGET` The meta object literal for the '`Model Element Change Left Target`' class
`static org.eclipse.emf.ecore.EReference` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT` The meta object literal for the 'Left Element' reference feature.
`static org.eclipse.emf.ecore.EReference` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT` The meta object literal for the 'Right Parent' reference feature.
`static org.eclipse.emf.ecore.EClass` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET` The meta object literal for the '`Model Element Change Right Target`' class
`static org.eclipse.emf.ecore.EReference` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT` The meta object literal for the 'Left Parent' reference feature.
`static org.eclipse.emf.ecore.EReference` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT` The meta object literal for the 'Right Element' reference feature.
`static org.eclipse.emf.ecore.EClass` `MOVE_MODEL_ELEMENT` The meta object literal for the '`Move Model Element`' class
`static org.eclipse.emf.ecore.EReference` `MOVE_MODEL_ELEMENT__LEFT_TARGET` The meta object literal for the 'Left Target' reference feature.
`static org.eclipse.emf.ecore.EReference` `MOVE_MODEL_ELEMENT__RIGHT_TARGET` The meta object literal for the 'Right Target' reference feature.
`static org.eclipse.emf.ecore.EClass` `REFERENCE_CHANGE` The meta object literal for the '`Reference Change`' class
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE__LEFT_ELEMENT` The meta object literal for the 'Left Element' reference feature.
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE__REFERENCE` The meta object literal for the 'Reference' reference feature.
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE__RIGHT_ELEMENT` The meta object literal for the 'Right Element' reference feature.
`static org.eclipse.emf.ecore.EClass` `REFERENCE_CHANGE_LEFT_TARGET` The meta object literal for the '`Reference Change Left Target`' class
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET` The meta object literal for the 'Left Target' reference feature
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET` The meta object literal for the 'Right Target' reference feature
`static org.eclipse.emf.ecore.EClass` `REFERENCE_CHANGE_RIGHT_TARGET` The meta object literal for the '`Reference Change Right Target`' class
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET` The meta object literal for the 'Left Target' reference feature
`static org.eclipse.emf.ecore.EReference` `REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET` The meta object literal for the 'Right Target' reference feature
`static org.eclipse.emf.ecore.EClass` `REFERENCE_ORDER_CHANGE` The meta object literal for the '`Reference Order Change`' class
`static org.eclipse.emf.ecore.EReference` `REFERENCE_ORDER_CHANGE__LEFT_TARGET` The meta object literal for the 'Left Target' reference list feature
`static org.eclipse.emf.ecore.EReference` `REFERENCE_ORDER_CHANGE__RIGHT_TARGET` The meta object literal for the 'Right Target' reference list feature
`static org.eclipse.emf.ecore.EClass` `RESOURCE_DEPENDENCY_CHANGE` The meta object literal for the '`Resource Dependency Change`' class
`static org.eclipse.emf.ecore.EReference` `RESOURCE_DEPENDENCY_CHANGE__ROOTS` The meta object literal for the 'Roots' reference list feature
`static org.eclipse.emf.ecore.EClass` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET` The meta object literal for the '`Resource Dependency Change Left Target`' class
`static org.eclipse.emf.ecore.EClass` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET` The meta object literal for the '`Resource Dependency Change Right Target`' class
`static org.eclipse.emf.ecore.EClass` `RESOURCE_DIFF` The meta object literal for the '`Resource Diff`' class
`static org.eclipse.emf.ecore.EClass` `UPDATE_ATTRIBUTE` The meta object literal for the '`Update Attribute`' class
`static org.eclipse.emf.ecore.EClass` `UPDATE_CONTAINMENT_FEATURE` The meta object literal for the '`Update Containment Feature`' class
`static org.eclipse.emf.ecore.EClass` `UPDATE_MODEL_ELEMENT` The meta object literal for the '`Update Model Element`' class
`static org.eclipse.emf.ecore.EReference` `UPDATE_MODEL_ELEMENT__LEFT_ELEMENT` The meta object literal for the 'Left Element' reference feature.
`static org.eclipse.emf.ecore.EReference` `UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT` The meta object literal for the 'Right Element' reference feature.
`static org.eclipse.emf.ecore.EClass` `UPDATE_REFERENCE` The meta object literal for the '`Update Reference`' class
`static org.eclipse.emf.ecore.EReference` `UPDATE_REFERENCE__LEFT_TARGET` The meta object literal for the 'Left Target' reference feature
`static org.eclipse.emf.ecore.EReference` `UPDATE_REFERENCE__RIGHT_TARGET` The meta object literal for the 'Right Target' reference feature

Field Detail

### ABSTRACT_DIFF_EXTENSION

    static final org.eclipse.emf.ecore.EClass ABSTRACT_DIFF_EXTENSION

  The meta object literal for the '`Abstract Diff Extension`' class.

  See Also:
    `AbstractDiffExtensionImpl`, `DiffPackageImpl.getAbstractDiffExtension()`

### ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS

    static final org.eclipse.emf.ecore.EReference ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS

  The meta object literal for the 'Hide Elements' reference list feature.

### ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED

  The meta object literal for the 'Is Collapsed' attribute feature.

### RESOURCE_DIFF

    static final org.eclipse.emf.ecore.EClass RESOURCE_DIFF

  The meta object literal for the '`Resource Diff`' class.

  See Also:
    `ResourceDiffImpl`, `DiffPackageImpl.getResourceDiff()`

### RESOURCE_DEPENDENCY_CHANGE

    static final org.eclipse.emf.ecore.EClass RESOURCE_DEPENDENCY_CHANGE

  The meta object literal for the '`Resource Dependency Change`' class.

  See Also:
    `ResourceDependencyChangeImpl`, `DiffPackageImpl.getResourceDependencyChange()`

### RESOURCE_DEPENDENCY_CHANGE__ROOTS

    static final org.eclipse.emf.ecore.EReference RESOURCE_DEPENDENCY_CHANGE__ROOTS

  The meta object literal for the 'Roots' reference list feature.

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET

    static final org.eclipse.emf.ecore.EClass RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET

  The meta object literal for the '`Resource Dependency Change Left Target`' class.

  See Also:
    `ResourceDependencyChangeLeftTargetImpl`, `DiffPackageImpl.getResourceDependencyChangeLeftTarget()`

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET

    static final org.eclipse.emf.ecore.EClass RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET

  The meta object literal for the '`Resource Dependency Change Right Target`' class.

  See Also:
    `ResourceDependencyChangeRightTargetImpl`, `DiffPackageImpl.getResourceDependencyChangeRightTarget()`

### DIFFERENCE_KIND

    static final org.eclipse.emf.ecore.EEnum DIFFERENCE_KIND

  The meta object literal for the '`Difference Kind`' enum.

  See Also:
    `DifferenceKind`, `DiffPackageImpl.getDifferenceKind()`

### ATTRIBUTE_CHANGE

    static final org.eclipse.emf.ecore.EClass ATTRIBUTE_CHANGE

  The meta object literal for the '`Attribute Change`' class.

  See Also:
    `AttributeChangeImpl`, `DiffPackageImpl.getAttributeChange()`

### ATTRIBUTE_CHANGE__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference ATTRIBUTE_CHANGE__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### ATTRIBUTE_CHANGE__LEFT_ELEMENT

    static final org.eclipse.emf.ecore.EReference ATTRIBUTE_CHANGE__LEFT_ELEMENT

  The meta object literal for the 'Left Element' reference feature.

### ATTRIBUTE_CHANGE__RIGHT_ELEMENT

    static final org.eclipse.emf.ecore.EReference ATTRIBUTE_CHANGE__RIGHT_ELEMENT

  The meta object literal for the 'Right Element' reference feature.

### ATTRIBUTE_CHANGE_LEFT_TARGET

    static final org.eclipse.emf.ecore.EClass ATTRIBUTE_CHANGE_LEFT_TARGET

  The meta object literal for the '`Attribute Change Left Target`' class.

  See Also:
    `AttributeChangeLeftTargetImpl`, `DiffPackageImpl.getAttributeChangeLeftTarget()`

### ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET

    static final org.eclipse.emf.ecore.EAttribute ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET

  The meta object literal for the 'Left Target' reference feature.

### ATTRIBUTE_CHANGE_RIGHT_TARGET

    static final org.eclipse.emf.ecore.EClass ATTRIBUTE_CHANGE_RIGHT_TARGET

  The meta object literal for the '`Attribute Change Right Target`' class.

  See Also:
    `AttributeChangeRightTargetImpl`, `DiffPackageImpl.getAttributeChangeRightTarget()`

### ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

    static final org.eclipse.emf.ecore.EAttribute ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

  The meta object literal for the 'Right Target' reference feature.

### CONFLICTING_DIFF_ELEMENT

    static final org.eclipse.emf.ecore.EClass CONFLICTING_DIFF_ELEMENT

  The meta object literal for the '`Conflicting Diff Element`' class.

  See Also:
    `ConflictingDiffElementImpl`, `DiffPackageImpl.getConflictingDiffElement()`

### CONFLICTING_DIFF_ELEMENT__LEFT_PARENT

    static final org.eclipse.emf.ecore.EReference CONFLICTING_DIFF_ELEMENT__LEFT_PARENT

  The meta object literal for the 'Left Parent' reference feature.

### CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT

    static final org.eclipse.emf.ecore.EReference CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT

  The meta object literal for the 'Origin Element' reference feature.

### CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT

    static final org.eclipse.emf.ecore.EReference CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT

  The meta object literal for the 'Right Parent' reference feature.

### DIFF_ELEMENT

    static final org.eclipse.emf.ecore.EClass DIFF_ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `DiffElementImpl`, `DiffPackageImpl.getDiffElement()`

### DIFF_ELEMENT__IS_HIDDEN_BY

    static final org.eclipse.emf.ecore.EReference DIFF_ELEMENT__IS_HIDDEN_BY

  The meta object literal for the 'Is Hidden By' reference list feature.

### DIFF_ELEMENT__CONFLICTING

    static final org.eclipse.emf.ecore.EAttribute DIFF_ELEMENT__CONFLICTING

  The meta object literal for the 'Conflicting' attribute feature.

### DIFF_ELEMENT__KIND

    static final org.eclipse.emf.ecore.EAttribute DIFF_ELEMENT__KIND

  The meta object literal for the 'Kind' attribute feature.

### DIFF_ELEMENT__REMOTE

    static final org.eclipse.emf.ecore.EAttribute DIFF_ELEMENT__REMOTE

  The meta object literal for the 'Remote' attribute feature.

### DIFF_ELEMENT__SUB_DIFF_ELEMENTS

    static final org.eclipse.emf.ecore.EReference DIFF_ELEMENT__SUB_DIFF_ELEMENTS

  The meta object literal for the 'Sub Diff Elements' containment reference list feature.

### DIFF_GROUP

    static final org.eclipse.emf.ecore.EClass DIFF_GROUP

  The meta object literal for the '`Group`' class.

  See Also:
    `DiffGroupImpl`, `DiffPackageImpl.getDiffGroup()`

### DIFF_GROUP__RIGHT_PARENT

    static final org.eclipse.emf.ecore.EReference DIFF_GROUP__RIGHT_PARENT

  The meta object literal for the 'Right Parent' reference feature.

### DIFF_GROUP__SUBCHANGES

    static final org.eclipse.emf.ecore.EAttribute DIFF_GROUP__SUBCHANGES

  The meta object literal for the 'Subchanges' attribute feature.

### COMPARISON_SNAPSHOT

    static final org.eclipse.emf.ecore.EClass COMPARISON_SNAPSHOT

  The meta object literal for the '`Comparison Snapshot`' class.

  See Also:
    `ComparisonSnapshot`, `DiffPackageImpl.getComparisonSnapshot()`

### COMPARISON_SNAPSHOT__DATE

    static final org.eclipse.emf.ecore.EAttribute COMPARISON_SNAPSHOT__DATE

  The meta object literal for the 'Date' attribute feature.

### COMPARISON_RESOURCE_SNAPSHOT

    static final org.eclipse.emf.ecore.EClass COMPARISON_RESOURCE_SNAPSHOT

  The meta object literal for the '`Comparison Resource Snapshot`' class.

  See Also:
    `ComparisonResourceSnapshotImpl`, `DiffPackageImpl.getComparisonResourceSnapshot()`

### COMPARISON_RESOURCE_SNAPSHOT__DIFF

    static final org.eclipse.emf.ecore.EReference COMPARISON_RESOURCE_SNAPSHOT__DIFF

  The meta object literal for the 'Diff' containment reference feature.

### COMPARISON_RESOURCE_SNAPSHOT__MATCH

    static final org.eclipse.emf.ecore.EReference COMPARISON_RESOURCE_SNAPSHOT__MATCH

  The meta object literal for the 'Match' containment reference feature.

### COMPARISON_RESOURCE_SET_SNAPSHOT

    static final org.eclipse.emf.ecore.EClass COMPARISON_RESOURCE_SET_SNAPSHOT

  The meta object literal for the '`Comparison Resource Set Snapshot`' class.

  See Also:
    `ComparisonResourceSetSnapshotImpl`, `DiffPackageImpl.getComparisonResourceSetSnapshot()`

### COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET

    static final org.eclipse.emf.ecore.EReference COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET

  The meta object literal for the 'Diff Resource Set' containment reference feature.

### COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET

    static final org.eclipse.emf.ecore.EReference COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET

  The meta object literal for the 'Match Resource Set' containment reference feature.

### DIFF_MODEL

    static final org.eclipse.emf.ecore.EClass DIFF_MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `DiffModelImpl`, `DiffPackageImpl.getDiffModel()`

### DIFF_MODEL__OWNED_ELEMENTS

    static final org.eclipse.emf.ecore.EReference DIFF_MODEL__OWNED_ELEMENTS

  The meta object literal for the 'Owned Elements' containment reference list feature.

### DIFF_MODEL__LEFT_ROOTS

    static final org.eclipse.emf.ecore.EReference DIFF_MODEL__LEFT_ROOTS

  The meta object literal for the 'Left Roots' reference list feature.

### DIFF_MODEL__RIGHT_ROOTS

    static final org.eclipse.emf.ecore.EReference DIFF_MODEL__RIGHT_ROOTS

  The meta object literal for the 'Right Roots' reference list feature.

### DIFF_MODEL__ANCESTOR_ROOTS

    static final org.eclipse.emf.ecore.EReference DIFF_MODEL__ANCESTOR_ROOTS

  The meta object literal for the 'Ancestor Roots' reference list feature.

### DIFF_RESOURCE_SET

    static final org.eclipse.emf.ecore.EClass DIFF_RESOURCE_SET

  The meta object literal for the '`Resource Set`' class.

  See Also:
    `DiffResourceSetImpl`, `DiffPackageImpl.getDiffResourceSet()`

### DIFF_RESOURCE_SET__DIFF_MODELS

    static final org.eclipse.emf.ecore.EReference DIFF_RESOURCE_SET__DIFF_MODELS

  The meta object literal for the 'Diff Models' containment reference list feature.

### DIFF_RESOURCE_SET__RESOURCE_DIFFS

    static final org.eclipse.emf.ecore.EReference DIFF_RESOURCE_SET__RESOURCE_DIFFS

  The meta object literal for the 'Resource Diffs' containment reference list feature.

### IMERGER

    static final org.eclipse.emf.ecore.EDataType IMERGER

  The meta object literal for the 'IMerger' data type.

  See Also:
    `IMerger`, `DiffPackageImpl.getIMerger()`

### MODEL_ELEMENT_CHANGE

    static final org.eclipse.emf.ecore.EClass MODEL_ELEMENT_CHANGE

  The meta object literal for the '`Model Element Change`' class.

  See Also:
    `ModelElementChangeImpl`, `DiffPackageImpl.getModelElementChange()`

### MODEL_ELEMENT_CHANGE_LEFT_TARGET

    static final org.eclipse.emf.ecore.EClass MODEL_ELEMENT_CHANGE_LEFT_TARGET

  The meta object literal for the '`Model Element Change Left Target`' class.

  See Also:
    `ModelElementChangeLeftTargetImpl`, `DiffPackageImpl.getModelElementChangeLeftTarget()`

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT

    static final org.eclipse.emf.ecore.EReference MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT

  The meta object literal for the 'Left Element' reference feature.

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT

    static final org.eclipse.emf.ecore.EReference MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT

  The meta object literal for the 'Right Parent' reference feature.

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET

    static final org.eclipse.emf.ecore.EClass MODEL_ELEMENT_CHANGE_RIGHT_TARGET

  The meta object literal for the '`Model Element Change Right Target`' class.

  See Also:
    `ModelElementChangeRightTargetImpl`, `DiffPackageImpl.getModelElementChangeRightTarget()`

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT

    static final org.eclipse.emf.ecore.EReference MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT

  The meta object literal for the 'Left Parent' reference feature.

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

    static final org.eclipse.emf.ecore.EReference MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

  The meta object literal for the 'Right Element' reference feature.

### MOVE_MODEL_ELEMENT

    static final org.eclipse.emf.ecore.EClass MOVE_MODEL_ELEMENT

  The meta object literal for the '`Move Model Element`' class.

  See Also:
    `MoveModelElementImpl`, `DiffPackageImpl.getMoveModelElement()`

### MOVE_MODEL_ELEMENT__LEFT_TARGET

    static final org.eclipse.emf.ecore.EReference MOVE_MODEL_ELEMENT__LEFT_TARGET

  The meta object literal for the 'Left Target' reference feature.

### MOVE_MODEL_ELEMENT__RIGHT_TARGET

    static final org.eclipse.emf.ecore.EReference MOVE_MODEL_ELEMENT__RIGHT_TARGET

  The meta object literal for the 'Right Target' reference feature.

### UPDATE_CONTAINMENT_FEATURE

    static final org.eclipse.emf.ecore.EClass UPDATE_CONTAINMENT_FEATURE

  The meta object literal for the '`Update Containment Feature`' class.

  See Also:
    `UpdateContainmentFeatureImpl`, `DiffPackageImpl.getUpdateContainmentFeature()`

### REFERENCE_CHANGE

    static final org.eclipse.emf.ecore.EClass REFERENCE_CHANGE

  The meta object literal for the '`Reference Change`' class.

  See Also:
    `ReferenceChangeImpl`, `DiffPackageImpl.getReferenceChange()`

### REFERENCE_CHANGE__LEFT_ELEMENT

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE__LEFT_ELEMENT

  The meta object literal for the 'Left Element' reference feature.

### REFERENCE_CHANGE__REFERENCE

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE__REFERENCE

  The meta object literal for the 'Reference' reference feature.

### REFERENCE_CHANGE__RIGHT_ELEMENT

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE__RIGHT_ELEMENT

  The meta object literal for the 'Right Element' reference feature.

### REFERENCE_CHANGE_LEFT_TARGET

    static final org.eclipse.emf.ecore.EClass REFERENCE_CHANGE_LEFT_TARGET

  The meta object literal for the '`Reference Change Left Target`' class.

  See Also:
    `ReferenceChangeLeftTargetImpl`, `DiffPackageImpl.getReferenceChangeLeftTarget()`

### REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET

  The meta object literal for the 'Left Target' reference feature.

### REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET

  The meta object literal for the 'Right Target' reference feature.

### REFERENCE_CHANGE_RIGHT_TARGET

    static final org.eclipse.emf.ecore.EClass REFERENCE_CHANGE_RIGHT_TARGET

  The meta object literal for the '`Reference Change Right Target`' class.

  See Also:
    `ReferenceChangeRightTargetImpl`, `DiffPackageImpl.getReferenceChangeRightTarget()`

### REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

  The meta object literal for the 'Right Target' reference feature.

### REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET

    static final org.eclipse.emf.ecore.EReference REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET

  The meta object literal for the 'Left Target' reference feature.

### UPDATE_ATTRIBUTE

    static final org.eclipse.emf.ecore.EClass UPDATE_ATTRIBUTE

  The meta object literal for the '`Update Attribute`' class.

  See Also:
    `UpdateAttributeImpl`, `DiffPackageImpl.getUpdateAttribute()`

### UPDATE_MODEL_ELEMENT

    static final org.eclipse.emf.ecore.EClass UPDATE_MODEL_ELEMENT

  The meta object literal for the '`Update Model Element`' class.

  See Also:
    `UpdateModelElementImpl`, `DiffPackageImpl.getUpdateModelElement()`

### UPDATE_MODEL_ELEMENT__LEFT_ELEMENT

    static final org.eclipse.emf.ecore.EReference UPDATE_MODEL_ELEMENT__LEFT_ELEMENT

  The meta object literal for the 'Left Element' reference feature.

### UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT

    static final org.eclipse.emf.ecore.EReference UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT

  The meta object literal for the 'Right Element' reference feature.

### UPDATE_REFERENCE

    static final org.eclipse.emf.ecore.EClass UPDATE_REFERENCE

  The meta object literal for the '`Update Reference`' class.

  See Also:
    `UpdateReferenceImpl`, `DiffPackageImpl.getUpdateReference()`

### UPDATE_REFERENCE__LEFT_TARGET

    static final org.eclipse.emf.ecore.EReference UPDATE_REFERENCE__LEFT_TARGET

  The meta object literal for the 'Left Target' reference feature.

### UPDATE_REFERENCE__RIGHT_TARGET

    static final org.eclipse.emf.ecore.EReference UPDATE_REFERENCE__RIGHT_TARGET

  The meta object literal for the 'Right Target' reference feature.

### REFERENCE_ORDER_CHANGE

    static final org.eclipse.emf.ecore.EClass REFERENCE_ORDER_CHANGE

  The meta object literal for the '`Reference Order Change`' class.

  See Also:
    `ReferenceOrderChangeImpl`, `DiffPackageImpl.getReferenceOrderChange()`

### REFERENCE_ORDER_CHANGE__LEFT_TARGET

    static final org.eclipse.emf.ecore.EReference REFERENCE_ORDER_CHANGE__LEFT_TARGET

  The meta object literal for the 'Left Target' reference list feature.

### REFERENCE_ORDER_CHANGE__RIGHT_TARGET

    static final org.eclipse.emf.ecore.EReference REFERENCE_ORDER_CHANGE__RIGHT_TARGET

  The meta object literal for the 'Right Target' reference list feature.

Copyright 2006 IBM Corporation and others. All Rights Reserved.